/*
                           A Java Applet
                    to put out text for applets

                     Version 1.0  - 30 Sep 00

                         Written by Tom Benson
                       NASA Glenn Research Center

>                              NOTICE
>This software is in the Public Domain.  It may be freely copied and used in
>non-commercial products, assuming proper credit to the author is given.  IT
>MAY NOT BE RESOLD.  If you want to use the software for commercial
>products, contact the author.
>No copyright is claimed in the United States under Title 17, U. S. Code.
>This software is provided "as is" without any warranty of any kind, either
>express, implied, or statutory, including, but not limited to, any warranty
>that the software will conform to specifications, any implied warranties of
>merchantability, fitness for a particular purpose, and freedom from
>infringement, and any warranty that the documentation will conform to the
>program, or any warranty that the software will be error free.
>In no event shall NASA be liable for any damages, including, but not
>limited to direct, indirect, special or consequential damages, arising out
>of, resulting from, or in any way connected with this software, whether or
>not based on warranty, contract, tort or otherwise, whether or not injury
>was sustained by persons or property or otherwise, and whether or not loss
>was sustained from, or arose out of the results of, or use of, the software
>or services provided hereunder.

*/

import java.awt.*;

public class Reader2 extends java.applet.Applet {
 
   TextArea prnt ;
 
   public void init() {

     setLayout(new GridLayout(1,1,0,0)) ;
 
     prnt = new TextArea() ;
     prnt.setEditable(false) ;

     add(prnt) ;
     loadPrint() ;
   }
 
   public void loadPrint() {
     String str ;

     str =   
       " \n Use the scroll bar at the right to move the text \n" +
       " in this box. \n\n " ;
     prnt.append(str) ;

     str =   
       " On the left view window we see a symmetric airfoil; \n" +
       " the shape of the upper surface is the same as the lower surface.\n" + 
       " The flow around the airfoil is shown by moving particles \n" +
       " (lines colored blue and white). You can change the \n" +
       " angle of the airfoil by using the slider or the type-in box \n" +
       " directly below the window. \n\n " ;
     prnt.append(str) ;

     str =   
       " On the right side of the simulator is a gage with some buttons \n" +
       "  and some sliders. The gage tells you the value of the velocity\n" +
       "  or pressure at the location of the probe (little red dot)\n" +
       "  in the left view window. You can change the location from side\n" + 
       "  to side by using the slider located below the gage, and you\n" +
       "  can change the location up and down by using the slider\n" +
       "  to the left of the gage. You select which variable to display \n" + 
       "  by using the white buttons labeled Velocity or Pressure.\n" +
       "  The blue buttons control the shape of the object shown in the left \n" +
       "  view window. \n" ;
     prnt.append(str) ;

     str =   
       " \n\n  Experiment #1 \n\n " ;
     prnt.append(str) ;

     str =   
        " If you have been moving the airfoil, set the angle to 7.5 degrees \n" +
        " and push the white button labeled Velocity and the blue button.\n" +
        " labeled Airfoil.\n" +
        " Now move the probe as far to the left as possible and note the \n" +
        " velocity upstream.\n" +
        " Move the probe near the lower surface of the airfoil at its\n" +
        " thickest part. What is the velocity at that location? \n" +
        " Move the probe to the upper surface.\n" +
        " Which surface has the higher velocity?\n" +
        " How does it compare to the upstream value?\n" +
        " What is the value of the lift?  \n" +
        " Change the angle of attack to -7.5 degrees. \n" +
        " What is the value of the lift?  \n" +
        " Use the probe and determine which surface has the highest velocity \n" +
        " for this flight condition. \n" ;

     prnt.append(str) ;

     str =   
       " \n Use the scroll bar at the right to move the text \n" +
       " in this box. \n\n " ;
     prnt.append(str) ;

   }
}
